{varType App\Model\Orm\Group\Group $group}
{varType App\Model\Orm\Composite\CompositeEntity[] $compositeEntities}
{varType bool $isDev}

{var $adminLteDir = "adminlte"}
{var $path = $basePath . '/' . $adminLteDir}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Smislsoft</title>
    {if !$isDev}
        <link rel="stylesheet"
              href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    {/if}

    <link rel="stylesheet" href="{$path}/plugins/fontawesome-free/css/all.min.css">

    <link rel="stylesheet" href="{$path}/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">

    <link rel="stylesheet" href="{$path}/dist/css/adminlte.min.css">

    <link rel="stylesheet" href="{$path}/plugins/ekko-lightbox/ekko-lightbox.css">

    <style>
        ul > li > ul > li {
            padding-left: 10px;
        }
    </style>
</head>

<body class="hold-transition dark-mode sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
<div class="wrapper">

    <div class="preloader flex-column justify-content-center align-items-center">
        <img class="animation__wobble" src="{$baseUrl}/oko.png" alt="Smisl!" height="60" width="60">
    </div>

    <aside class="main-sidebar sidebar-dark-primary elevation-4">

        <a href="/" class="brand-link">
            <img src="{$baseUrl}/oko.png" alt="Smisl!" class="brand-image img-circle">
            <span class="brand-text font-weight-light">Smislsoft</span>
        </a>

        <div class="sidebar">
            {ifset $compositeEntities}

                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">

                        <li class="nav-item">
                            <p>
{*                                <a href="/fungus/{$projectGroup->name}">{$projectGroup->contentName}</a>*}
                                {$group->contentName}
                            </p>
                        </li>
                        {varType App\Model\Orm\Composite\CompositeEntity $compositeEntity}
                        {foreach $compositeEntities as $compositeEntity}
                            {if isset($maxLevel)}
                                {include showComposite, $compositeEntity, $maxLevel}
                            {else}
                                {include showComposite, $compositeEntity}
                            {/if}
                        {/foreach}
                    </ul>
                </nav>
            {/ifset}
        </div>

    </aside>
    <div class="content-wrapper">
        <div n:foreach="$flashes as $flash" n:class="flash, $flash->type">{$flash->message}</div>
        {include content}
    </div>


    <aside class="control-sidebar control-sidebar-dark">

    </aside>


    <footer class="main-footer">
        Smislsoft <abbr title="Dovoleno Sebastianem Pilzenlagerem"> d.S.P</abbr>
    </footer>
</div>

{block scripts}
    <script src="{$basePath}/nette/netteForms.min.js"></script>

    <script src="{$path}/plugins/jquery/jquery.min.js"></script>

    <script src="{$path}/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <script src="{$path}/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>

    <script src="{$path}/dist/js/adminlte.js"></script>

    <script src="{$path}/plugins/jquery-mousewheel/jquery.mousewheel.js"></script>
    <script src="{$path}/plugins/raphael/raphael.min.js"></script>
    <script src="{$path}/plugins/jquery-mapael/jquery.mapael.min.js"></script>
    <script src="{$path}/plugins/jquery-mapael/maps/usa_states.min.js"></script>

    <script src="{$path}/plugins/chart.js/Chart.min.js"></script>

    <script src="{$path}/plugins/ekko-lightbox/ekko-lightbox.min.js"></script>


    <!-- Filterizr-->
    <script src="{$path}/plugins/filterizr/jquery.filterizr.min.js"></script>
    <!-- Page specific script -->

{/block}
</body>
{ifset templateScripts}
    {include templateScripts}
{/ifset}
</html>

{define addGallery, $entity}
    {varType App\Model\Orm\Project\Project $entity}
    <div class="filter-container" style="display: flex;flex-wrap:wrap">
        {for $i = 1; $i <= $entity->imageCount; $i++}
            {var $localImagePath = sprintf($entity->imagePath, $i)}
            {var $imagePath = "$basePath/$localImagePath"}
            <div class="filtr-item" data-category="1" data-sort="white sample">
                <a href="{$imagePath}" data-toggle="lightbox" data-title="{$entity->contentName} - {$i}"
                   data-gallery="gallery">
                    <img src="{$imagePath}" class="img-fluid mb-2" alt="{$entity->contentName} - {$i}"
                         style="max-width:20vw; max-height: 20vw;
                     display: block;
                     width: auto;
                     height: auto;"/>
                </a>
            </div>
        {/for}
    </div>
{/define}

{define addGalleryScript}
    <script>
        $(function () {
            $(document).on('click', '[data-toggle="lightbox"]', function (event) {
                    event.preventDefault();
                    $(this).ekkoLightbox({
                        alwaysShowClose: true
                    });
                }
            );
            $('.submenu ').click(function () {
                location.href = this.href;
            });
        });
    </script>

{/define}

{define showComposite, $compositeEntity, $maxLevel=3, $currentLevel=1}
    {varType App\Model\Orm\Composite\CompositeEntity $compositeEntity}
    <li class="nav-item">
        {if $compositeEntity->isGroup}
            {varType App\Model\Orm\Group\Group $compositeEntity}
            <a href="/fungus/{$compositeEntity->name}" class=" menu-open, nav-link, submenu">
                <p>
                    {$compositeEntity->contentName}
                </p>
            </a>
            {if $currentLevel<$maxLevel}
            <ul class="nav nav-treeview" style="display: block;">
                {varType App\Model\Orm\Group\Group $projectInChild}

                {foreach $compositeEntity->projects as $projectInChild}
                    {varType App\Model\Orm\Project\Project $projectInChild}
                    <li class="nav-item">
                        <ul class="nav nav-treeview" style="display: block;">
                            <a href="/fungus/{$compositeEntity->name}/{$projectInChild->name}">
                                <p>
                                    {$projectInChild->contentName}
                                </p>
                            </a>
                        </ul>
                    </li>
                {/foreach}
                {foreach $compositeEntity->childGroups as $childGroup}
                        {include showComposite, $childGroup, $currentLevel++, $maxLevel}
                {/foreach}
            </ul>
            {/if}
        {else}
        {varType App\Model\Orm\Project\Project $compositeEntity}
            <a href="/fungus/{$group->name}/{$compositeEntity->name}">
                <p>
                    {$compositeEntity->contentName}
                </p>
            </a>
        {/if}
    </li>
{/define}

{define showProjectList, $compositeEntities}
    {varType App\Model\Orm\Composite\CompositeEntity[] $compositeEntities}
    {foreach $compositeEntities as $compositeEntity}
        {varType App\Model\Orm\Composite\CompositeEntity $compositeEntity}
        <div>
            {if $compositeEntity->isGroup}
                {varType App\Model\Orm\Group\Group $compositeEntity}
                <div>
                    <a href="/fungus/{$compositeEntity->name}">
                        {$compositeEntity->contentName}
                    </a>
                </div>
                <div style="padding-left:20px;">
                    {include showProjectList, $compositeEntity->childGroups}
                    {varType App\Model\Orm\Group\Group $projectInChild}
                    {foreach $compositeEntity->projects as $projectInChild}
                        {varType App\Model\Orm\Project\Project $projectInChild}
                        <div>
                            <a href="/fungus/{$compositeEntity->name}/{$projectInChild->name}">
                                {$projectInChild->contentName}
                            </a> ({$projectInChild->time}) {$projectInChild->tech}
                        </div>
                    {/foreach}

                </div>
            {else}
                {varType App\Model\Orm\Project\Project $compositeEntity}
                <a href="/fungus/{$group->name}/{$compositeEntity->name}">
                    {$compositeEntity->contentName}
                </a> ({$compositeEntity->time}) {$compositeEntity->tech}
            {/if}
        </div>
    {/foreach}
{/define}





